<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "global_parameter".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "GlobalParameter".
 *
 * Columns in table "global_parameter" available as properties of the model,
 * and there are no model relations.
 *
 * @property string $id
 * @property string $key
 * @property string $value
 *
 */
class BaseGlobalParameter extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'global_parameter';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'GlobalParameter|GlobalParameters', $n);
    }

    public static function representingColumn()
    {
        return 'key';
    }

    public function rules()
    {
        return array(
            array('key, value', 'required'),
            array('key', 'length', 'max' => 80),
            array('value', 'length', 'max' => 16777215),
            array('id, key, value', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'key' => Yii::t('app', 'Key'),
            'value' => Yii::t('app', 'Value'),
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id, true);
        $criteria->compare('key', $this->key, true);
        $criteria->compare('value', $this->value, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
